be.fgov.ehealth.commons.enc.v2

## Class CipherData

- java.lang.Object
- - be.fgov.ehealth.commons.enc.v2.CipherData

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-09-05T10:47:13+02:00",
                 comments="JAXB RI v2.3.7")
      public class CipherData
      extends Object
      implements Serializable

  Contains the encrypted content type

  Java class for CipherDataType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CipherDataType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice>
               <element ref="{urn:be:fgov:ehealth:commons:enc:v2}CipherValue"/>
               <element ref="{urn:be:fgov:ehealth:commons:enc:v2}CipherReference"/>
             </choice>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CipherData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CipherReference` | `getCipherReference()` Gets the value of the cipherReference property.
    `CipherValue` | `getCipherValue()` Gets the value of the cipherValue property.
    `void` | `setCipherReference(CipherReference value)` Sets the value of the cipherReference property.
    `void` | `setCipherValue(CipherValue value)` Sets the value of the cipherValue property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CipherData

          public CipherData()

  - ### Method Detail

    - #### getCipherReference

          public CipherReference getCipherReference()

      Gets the value of the cipherReference property.
      Returns:
        possible object is `CipherReference`

    - #### setCipherReference

          public void setCipherReference(CipherReference value)

      Sets the value of the cipherReference property.
      Parameters:
        `value` - allowed object is `CipherReference`

    - #### getCipherValue

          public CipherValue getCipherValue()

      Gets the value of the cipherValue property.
      Returns:
        possible object is `CipherValue`

    - #### setCipherValue

          public void setCipherValue(CipherValue value)

      Sets the value of the cipherValue property.
      Parameters:
        `value` - allowed object is `CipherValue`

Connector Packaging OTMOBILITYIMPROVEMENT 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.